Subject: Re: RFC 4237

From: Alfred Hönes <[email-masked]>
Date: Wed, 30 Nov 2005 21:27:31 +0100 (MEZ)

> Thanks for your comments.

Thanks for your quick reply.

For ease of reference I have merged in below the essential
parts of my initial mail.

>> (1)
>> 
>> IMHO, it is unfortunate that the RFC text doesn't state the
>> value of the IANA assigned OID tree; the text always uses
>> the placehoulder "IANA-ASSIGNED-OID", even in Section 4.
>> This deficiency makes the job of the reader more difficult
>> than necessarily.
>> 
>> To minimize the impact on the text, I propose the following
>> (minimal) correction:
>> 
>> RFC 4237, in Section 4.1, on page 9, says:
>> 
>>    IANA has registered an LDAP Object Identifier for use in this
>>    technical specification, according to the following template:
>> 
>> It should say:
>> 
>>    IANA has registered an LDAP Object Identifier for use in this
>>    technical specification, according to the following template.
>>    This Object Identifier, 1.3.6.1.1.11, is referred to as the
>>    "IANA-ASSIGNED-OID" in the body of this memo.
>> 

> I am aware of the first issue, it was an oops by the RFC editor.

:-)

>> (2)
>> 
>> I suspect that the OID value given in Section 2 is not correct.
>> It does not match the one listed in section 4.2, on page 10,
>> 4th text line.
>> 
>> Therefore I propose the following erratum:
>> 
>> RFC 4237, at the beginning of Section 2, on page 3, says:
>> 
>>    (IANA-ASSIGNED-OID.1 NAME 'vPIMUser'
>>            SUP 'top'
>>            ...          )
>> 
>> it should say:
>>                        vv
>>    (IANA-ASSIGNED-OID.1.1 NAME 'vPIMUser'
>>            SUP 'top'
>>            ...          )
>> 

> I will need to research the second.
> I don't know why an additional level of OID is required here.
> Can you explain your reasoning?

I'm also not aware of any strict technical requirement.
It just seems to be the usual procedure to group the OIDs used
in an LDAP schema definition according to their 'Type'
(2nd column in the IANA registry), e.g., for RFC 4237,

  <IANA-ASSIGNED-OID>.1.<m>  ... ObjectClasses
  <IANA-ASSIGNED-OID>.2.<n>  ... Attributes

And that's what the IANA has done, and what is documented on
page 10 of the RFC.  (Thus all defined 'leaf' schema entities
are "living" at the same OID depth.)

I just want to achieve consistency between Section 2 and page 10
of the RFC (and the IANA assignment published on their web site).

>> (3)
>> 
>> There's a small textual flaw at the end of Section 2.5.
>> I propose the following errata note:
>> 
>> RFC 4237, at the end of Section 2.5, on page 5, says:
>> 
>>    Because ADPCM is a required format, the audio32kadpcm value must be
>>    listed if this attribute is present.
>>                                                ^^
>> it should say:
>>                                                 v
>>    Because ADPCM is a required format, the audio/32kadpcm value must
>>    be listed if this attribute is present.
>> 

> The third is clearly an error.
> 
> After I understand issue 2 and agree, I will pass these to the
> RFC Editor for inclusion in the errata page.

I hope the above explanations will help.

Because my initial mail already had been CC'ed to the RFC-Ed,
I do so again.

Alfred.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+